PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetFieldNames

Gets the name of each component in the vector associated with the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetFieldNames(DM da,const char * const **names)

Not collective; names will contain a common value

### Input Parameter

| dm | - the DMDA object

### Output Parameter

| names | - the names of the components, final string is NULL, will have the same number of entries as the dof used in creating the DMDA

Not supported from Fortran, use DMDAGetFieldName()

### See Also

DMDAGetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName(), DMDASetFieldName(), DMDASetFieldNames()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/ts/tutorials/extchemfield.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages